local WEEKLY_AFFIXES = {
	{5,14,10},
	{6,4,9},
	{7,2,10},
	{5,3,9},
	{8,12,10},
	{7,13,9},
	{11,14,10},
	{6,3,9},
	{5,13,10},
	{7,12,9},
	{8,3,10},
	{11,2,9}
}
-------------------------------------------------------------------------------------
-- How many weeks long is the mythic+ affix schedule before it starts to repeat?
-------------------------------------------------------------------------------------
function KeystoneRollCall:GetWeekCount()
	return #WEEKLY_AFFIXES
end

-------------------------------------------------------------------------------------
-- What are the affixes for this week (plus offset)?
-------------------------------------------------------------------------------------
function KeystoneRollCall:GetWeeklyAffixes(offset)
	return unpack(WEEKLY_AFFIXES[KeystoneRollCall:GetWeeklyIndex(offset)])
end

-------------------------------------------------------------------------------------
-- How many weeks into the mythic+ affix schedule are we?
-------------------------------------------------------------------------------------
function KeystoneRollCall:GetWeeklyIndex(offset) 
	local launchTime = GetCurrentRegion() == 3 and (1500390000-3600) or (1500447600-3600)
	local serverTime = GetServerTime()
	local weeklyIndex = (math.floor( (serverTime - launchTime)/ 604800) + (offset or 0)) % 12
	return weeklyIndex == 0 and 12 or weeklyIndex
end

-------------------------------------------------------------------------------------
-- Get the month and day that a given week's keystone reset.
-------------------------------------------------------------------------------------
function KeystoneRollCall:GetStartDate(offset)
	local launchTime = GetCurrentRegion() == 3 and (1500390000) or (1500447600)
	local week = math.floor( (GetServerTime() - launchTime)/ 604800)+ (offset or 0)
	return date("%m/%d",week*604800+launchTime)
end





